package com.moyegame.mypassdemo;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.RelativeLayout;

import com.moyegame.pass.MYPass;
import com.moyegame.pass.account.MYAccountInfo;
import com.moyegame.pass.order.MYOrderInfo;

public class MainActivity extends Activity {

    public Button loginBtn;
    public Button logoutBtn;
    public Button userCenter;
    public Button payBtn;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        RelativeLayout layout = new RelativeLayout(this);

        // 登陆按钮
        loginBtn = new Button(this);
        loginBtn.setText("登陆");
        RelativeLayout.LayoutParams loginBtnParams = new RelativeLayout.LayoutParams (400,150);
        loginBtnParams.leftMargin = 10;
        loginBtnParams.topMargin = 100;
        layout.addView(loginBtn, loginBtnParams);
        loginBtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                login();
            }
        });

        // 注销按钮
        logoutBtn = new Button(this);
        logoutBtn.setText("注销");
        RelativeLayout.LayoutParams logoutBtnParams = new RelativeLayout.LayoutParams (400,150);
        logoutBtnParams.leftMargin = 10;
        logoutBtnParams.topMargin = 300;
        layout.addView(logoutBtn, logoutBtnParams);
        logoutBtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                logout();
            }
        });

        // 用户中心
        userCenter = new Button(this);
        userCenter.setText("用户中心");
        RelativeLayout.LayoutParams userCenterParams = new RelativeLayout.LayoutParams (400,150);
        userCenterParams.leftMargin = 10;
        userCenterParams.topMargin = 500;
        layout.addView(userCenter, userCenterParams);
        userCenter.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                user();
            }
        });

        // 支付
        payBtn = new Button(this);
        payBtn.setText("支付");
        RelativeLayout.LayoutParams payBtnParams = new RelativeLayout.LayoutParams (400,150);
        payBtnParams.leftMargin = 10;
        payBtnParams.topMargin = 700;
        layout.addView(payBtn, payBtnParams);
        payBtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                pay();
            }
        });

        this.setContentView(layout);
    }

    /**
     * 1.登陆
     */
    public void login() {
        MYPass.toLogin(new MYAccountInfo.MYLoginCallback() {
            @Override
            public void onCallBack(MYAccountInfo.MYLoginResultType result, String resultMsg, MYAccountInfo accountInfo) {
                Log.d("MYPass", "--------->>>>>>>> Login ResultMsg:" + resultMsg);
                switch (result) {
                    case MY_LOGIN_RESULT_SUCCESS:
                        break;
                    case MY_LOGIN_RESULT_CANCEL:
                        break;
                    case MY_LOGIN_RESULT_FAIL:
                        break;
                }
            }
        });
    }

    /**
     * 2.注销
     */
    public void logout() {
        MYPass.toLogout();
    }

    /**
     * 3.用户中心
     */
    public void user() {
        MYPass.showUserCenter();
    }

    /**
     * 4.下单
     */
    public void pay() {
        MYOrderInfo orderInfo = new MYOrderInfo();
        orderInfo.cpUserID = "1";// CP用户ID
        orderInfo.cpOrderID = "Test" + System.currentTimeMillis();// CP订单ID
        orderInfo.cpProductID = "1";// 产品ID
        orderInfo.productName = "10钻石";// 产品名称
        orderInfo.quantity = 1;// 产品数量
        orderInfo.productPrice = 0.01f;// 产品总价格（元）
        orderInfo.extData = "1";// 扩展信息（下单成功后原样通过回调地址回传）
        orderInfo.notifyUrl = "http://www.baidu.com";// 回调地址
        MYPass.toOrder(orderInfo, new MYOrderInfo.MYOrderCallback() {
            @Override
            public void onCallBack(MYOrderInfo.MYOrderResultType result, String resultMsg, MYOrderInfo orderInfo) {
                Log.d("MYPass", "--------->>>>>>>> Order ResultMsg:" + resultMsg);
                switch (result) {
                    case MY_ORDER_RESULT_SUCCESS:
                        break;
                    case MY_ORDER_RESULT_CANCEL:
                        break;
                    case MY_ORDER_RESULT_FAIL:
                        break;
                }
            }
        });
    }

    @Override
    protected void onResume() {
        super.onResume();
        MYPass.onResume();
    }

    @Override
    protected void onPause() {
        super.onPause();
        MYPass.onPause();
    }

}
